Bug 178964 - [WPE] Build more files under WebCore as unified sources and get rid of WebCorePlatformWPE build target
Summary: [WPE] Build more files under WebCore as unified sources and get rid of WebCor...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks: 178968
  Show dependency treegraph
 
Reported: 2017-10-27 16:28 PDT by Michael Catanzaro
Modified: 2017-11-15 12:09 PST (History)
6 users (show)

See Also:


Attachments
Patch (16.13 KB, patch)
2017-10-27 16:32 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (24.95 KB, patch)
2017-10-27 17:57 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (25.09 KB, patch)
2017-10-27 18:01 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-10-27 16:28:21 PDT
There's more to unify under WebCore/platform, but that will be another patch.
Comment 1 Michael Catanzaro 2017-10-27 16:32:47 PDT
Created attachment 325215 [details]
Patch
Comment 2 Michael Catanzaro 2017-10-27 17:03:07 PDT
Comment on attachment 325215 [details]
Patch

I changed my mind, I'd rather do one big patch.
Comment 3 Michael Catanzaro 2017-10-27 17:57:25 PDT
Created attachment 325225 [details]
Patch
Comment 4 Michael Catanzaro 2017-10-27 18:01:25 PDT
Created attachment 325226 [details]
Patch
Comment 5 WebKit Commit Bot 2017-10-30 11:12:08 PDT
Comment on attachment 325226 [details]
Patch

Clearing flags on attachment: 325226

Committed r224189: <https://trac.webkit.org/changeset/224189>
Comment 6 WebKit Commit Bot 2017-10-30 11:12:09 PDT
All reviewed patches have been landed.  Closing bug.